/* Knihovna pro komunikaci pomocí sběrnice IIC.
 * Vytvořeno pro mikrokontrolér MC9S08LH64 pracující jako zařízení typu master.
 */

#ifndef iiclib_h_1827
#define iiclib_h_1827

#include <hidef.h>
#include "derivative.h"

/* Hlavičky funkcí*/
void IICInit(void);
void IICTransmit(unsigned char addr, unsigned char bytes, char* ptr);
void IICReceive(unsigned char addr, unsigned char bytes, char* ptr);
interrupt VectorNumber_Viic void IIC_Control_handler(void);

#endif
